%{!?__pecl: %{expand: %%global __pecl %{_bindir}/pecl}}
%define 	debug_package %{nil}


%global pecl_name APC

Summary:       APC caches and optimizes PHP intermediate code
Name:          asl-php-pecl-apc
Version:       3.1.13
Release:       4.art
License:       PHP
Group:         Development/Languages
URL:           http://pecl.php.net/package/APC
Source0:       http://pecl.php.net/get/APC-%{version}.tgz
Source1:       apc.ini
Source2:       apc-panel.conf
Source3:       apc.conf.php

# Upstream patches from SVN
# http://svn.php.net/viewvc?view=revision&revision=328955
# http://svn.php.net/viewvc?view=revision&revision=328956
# http://svn.php.net/viewvc?view=revision&revision=328957
Patch0:        apc-svn.patch

BuildRequires: asl-php-devel
BuildRequires: php-pear
BuildRequires: tortixd-devel
BuildRequires: pcre-devel
# Only for tests (used by some unit tests)
#BuildRequires: php-dom
#Requires:      asl-php(zend-abi) = %{php_zend_api}
#Requires:      asl-php(api) = %{php_core_api}

Provides:      asl-php-apc = %{version}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


# Filter private shared
%{?filter_provides_in: %filter_provides_in %{_libdir}/.*\.so$}
%{?filter_setup}


%description
APC is a free, open, and robust framework for caching and optimizing PHP
intermediate code.


#%package devel
#Summary:       APC developer files (header)
#Group:         Development/Libraries
#Requires:      php-pecl-apc%{?_isa} = %{version}-%{release}
#Requires:      php-devel%{?_isa}
#
#%description devel
#These are the files needed to compile programs using APC serializer.


#%package -n apc-panel
#Summary:       APC control panel
#Group:         Applications/Internet
#%if 0%{?fedora} >= 12 || 0%{?rhel} >= 6
#BuildArch:     noarch
#%endif
#Requires:      %{name} = %{version}-%{release}
#Requires:      mod_php, httpd, php-gd
#
#%description  -n apc-panel
#This package provides the APC control panel, with Apache
#configuration, available on http://localhost/apc-panel/


%prep
%setup -q -c -T
tar xif %{SOURCE0}

cd APC-%{version}
%patch0 -p0 -b .php55

%if 0%{?__isa_bits}
# port number to allow 32/64 build at same time
port=$(expr %{__isa_bits} + 8900)
sed -e "/PHP_CLI_SERVER_PORT/s/8964/$port/" \
    -i tests/server_test.inc
%endif

# Sanity check, really often broken
extver=$(sed -n '/#define PHP_APC_VERSION/{s/.* "//;s/".*$//;p}' php_apc.h)
if test "x${extver}" != "x%{version}"; then
   : Error: Upstream extension version is ${extver}, expecting %{version}.
   exit 1
fi
cd ..

%if 0%{?__ztsphp:1}
# duplicate for ZTS build
cp -pr APC-%{version} APC-%{version}-zts
%endif


%build
# php-config might need path changed?

cd APC-%{version}
/var/asl/%{_bindir}/phpize

%define  _sysconfdir /var/asl/etc/
%define  _prefix     /var/asl/usr/
%define  _bindir     /var/asl/usr/bin/
%define  _sbindir    /var/asl/usr/sbin/
%define  _includedir /var/asl/usr/include/
%define  _mandir     /var/asl/usr/share/man/
%define  _libdir     /var/asl/usr/lib/
%ifarch x86_64
%define  _libdir     /var/asl/usr/lib64/
%endif

%configure  \
	--enable-apc-mmap --with-php-config=%{_bindir}/php-config
make %{?_smp_mflags}

%if 0%{?__ztsphp:1}
cd ../APC-%{version}-zts
%{_bindir}/zts-phpize
%configure --enable-apc-mmap --with-php-config=/var/asl/%{_bindir}/zts-php-config
make %{?_smp_mflags}
%endif


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


mkdir -p $RPM_BUILD_ROOT/%{_libdir}/php/modules/

pushd APC-%{version}
install -D -m 644 modules/apc.so $RPM_BUILD_ROOT/%{_libdir}/php/modules/apc.so

popd
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/php.d/
install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/php.d/apc.ini

%files
%config(noreplace) %{_sysconfdir}/php.d/apc.ini
%{_libdir}/php/modules/apc.so


%changelog
* Tue Jan 31 2013 Support <support@atomicrp.com> - 3.1.13-4
- Fork for asl-php package 

* Mon Nov 19 2012 Remi Collet <remi@fedoraproject.org> - 3.1.13-3
- apc-panel requires php-gd
- also provides php-apc
- only run test on x86_64

* Fri Oct 26 2012 Remi Collet <remi@fedoraproject.org> - 3.1.13-2
- move apc.ini to Source3
- new apc-panel package

* Mon Sep  3 2012 Remi Collet <remi@fedoraproject.org> - 3.1.13-1
- Version 3.1.13 (beta) - API 3.1.0 (stable)
- add patches from upstream (fixes some tests)
- change serveur port for tests (allow 32/64 bits build)

* Mon Aug 27 2012 Remi Collet <remi@fedoraproject.org> - 3.1.12-2
- add patches from upstream
- delete tests which fail because of missing dom extension

* Thu Aug 16 2012 Remi Collet <remi@fedoraproject.org> - 3.1.12-1
- Version 3.1.12 (beta) - API 3.1.0 (stable)
- spec cleanups

* Fri Jul 20 2012 Remi Collet <remi@fedoraproject.org> - 3.1.11-1
- update to 3.1.11 (beta)

* Fri Jun 22 2012 Remi Collet <remi@fedoraproject.org> - 3.1.10-2
- add patches from upstream

* Wed Apr 11 2012 Remi Collet <remi@fedoraproject.org> - 3.1.10-1
- Update to 3.1.10 (beta)
- fix reported version, https://bugs.php.net/61696

* Thu Mar 15 2012 Remi Collet <remi@fedoraproject.org> - 3.1.9-6.svn324146
- new SVN snapshot
- enable ZTS build

* Sat Feb 18 2012 Remi Collet <remi@fedoraproject.org> - 3.1.9-5.svn322617
- rebuild against php 5.4.0RC8 (without zend-signals)
- pull latest SVN changes

* Thu Jan 19 2012 Remi Collet <remi@fedoraproject.org> - 3.1.9-4.svn316786
- rebuild against php 5.4
- keep apc.php as doc
- fix filters

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jul 21 2011 Jeroen van Meeuwen <kanarip@kanarip.com> - 3.1.9-2
- Ship apc.php in a static location as well, so that it is easier to
  refer to in webserver configuration files (monitoring...)
- Fix the apostrophes messing with the syntax highlighting of your
  favorite editor

* Sun May 15 2011 Remi Collet <Fedora@FamilleCollet.com> - 3.1.9-1
- update to 3.1.9 (bugfix, stable)

* Sat May 14 2011 Remi Collet <Fedora@FamilleCollet.com> - 3.1.8-2
- fix for http://pecl.php.net/bugs/22687

* Tue May  3 2011 Remi Collet <Fedora@FamilleCollet.com> - 3.1.8-1
- update to 3.1.8 (bugfix, stable)

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 12 2011 Remi Collet <Fedora@FamilleCollet.com> - 3.1.7-1
- update to 3.1.7 (bugfix)
- add devel subpackage (for serializer)

* Tue Nov 30 2010 Remi Collet <Fedora@FamilleCollet.com> - 3.1.6-1
- update to 3.1.6 (bugfix)

* Wed Nov 03 2010 Remi Collet <Fedora@FamilleCollet.com> - 3.1.5-2
- fix reported version, see http://pecl.php.net/bugs/19590

* Wed Nov 03 2010 Remi Collet <Fedora@FamilleCollet.com> - 3.1.5-1
- update to 3.1.5 (bugfix)

* Sat Oct 23 2010 Remi Collet <Fedora@FamilleCollet.com> - 3.1.4-3
- add filter_provides to avoid private-shared-object-provides apc.so

* Sun Aug 08 2010 Remi Collet <Fedora@FamilleCollet.com> - 3.1.4-2
- fix default value for apc.shm_size (need M suffixes)

* Thu Aug 05 2010 Remi Collet <Fedora@FamilleCollet.com> - 3.1.4-1
- update to Version 3.1.4 (beta) - API 3.1.0 (beta)

* Fri Aug 14 2009 Remi Collet <Fedora@FamilleCollet.com> - 3.1.3p1-1
- update to 3.1.3 patch1 (beta, for PHP 5.3 support)
- add test suite (disabled for http://pecl.php.net/bugs/bug.php?id=16793)
- add use_request_time, lazy_classes, lazy_functions options (apc.ini)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jul 12 2009 Remi Collet <Fedora@FamilleCollet.com> - 3.1.2-1
- update to 3.1.2 (beta) - PHP 5.3 support
- use setup -q -c

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jun 25 2008 Tim Jackson <rpm@timj.co.uk> - 3.0.19-1
- Update to 3.0.19
- Fix PHP Zend API/ABI dependencies to work on EL-4/5
- Fix "License" tag
- Fix encoding of "NOTICE" file
- Add registration via PECL

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 3.0.14-3
- Autorebuild for GCC 4.3

* Tue Aug 28 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 3.0.14-2
- Rebuild for selinux ppc32 issue.

* Thu Jun 28 2007 Chris Chabot <chabotc@xs4all.nl> - 3.0.14-1
- Updated to 3.0.14
- Included new php api snipplets

* Fri Sep 15 2006 Chris Chabot <chabotc@xs4all.nl> - 3.0.12-5
- Updated to new upstream version

* Mon Sep 11 2006 Chris Chabot <chabotc@xs4all.nl> - 3.0.10-5
- FC6 rebuild 

* Sun Aug 13 2006 Chris Chabot <chabotc@xs4all.nl> - 3.0.10-4
- FC6T2 rebuild

* Mon Jun 19 2006 - Chris Chabot <chabotc@xs4all.nl> - 3.0.10-3
- Renamed to php-pecl-apc and added provides php-apc
- Removed php version string from the package version

* Mon Jun 19 2006 - Chris Chabot <chabotc@xs4all.nl> - 3.0.10-2
- Trimmed down BuildRequires
- Added Provices php-pecl(apc)

* Sun Jun 18 2006 - Chris Chabot <chabotc@xs4all.nl> - 3.0.10-1
- Initial package, templated on already existing php-json 
  and php-eaccelerator packages
